Subject: RE: Strange Crond behavior
From: "Steven Caswell" <[email-masked]>
To: "'Michael Lang'" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 4 Apr 2002 19:28:28 -0500

Michael,

This finally did the trick. Thanks for the assistance.

I suggest that whoever maintains the cygwin.README update it with this
information, with a note that this works for XP.

Steven Caswell
[email-masked]
a.k.a Mungo Knotwise of Michel Delving
"One ring to rule them all, one ring to find them..."

> -----Original Message-----
> From: Michael Lang [mailto:[email-masked]] 
> Sent: Tuesday, April 02, 2002 4:19 PM
> To: [email-masked]
> Subject: RE: Strange Crond behavior
> 
> 
> Hi steven 
> 
> No I didn't change anything ... 
> Try using these setting that helped for me ... 
> net stop "cron"		# stoping the service
> cygrunsrv -R cron   	# uninstall 
> cygrunsrv -I cron -d "Cron" -p /usr/sbin/cron -a "-D" | 
>  -e "CYGWIN=binmode ntsec tty" -1 /var/log/cron.log -2 
> /var/log/cron.log
> 
> the settings -1 -2 are for normal output and error output ... 
> the cronjobs didn´t report any error as in the Eventlog usage 
> but the worked. 8)
> 
> hope it helps
> 
> Greetz mIke 
> 
> Michael Lang				           System Engineer
> Jackal-net.at				    Tel: +43 664 12 42 947
> Austria, Europe			  	    Fax: +43   
> 1 734 82 34
> http://www.jackal-net.at            [email-masked]
> 
> -----Original Message-----
> From: Steven Caswell [mailto:[email-masked]] 
> Sent: Tuesday, April 02, 2002 10:51 PM
> To: Michael Lang
> Cc: [email-masked]
> Subject: RE: Strange Crond behavior
> 
> Michael, I'm having the same problem you are having, mine on 
> XP Professional. Did you have to do anything special to the 
> SYSTEM user or any of the Unix security files to get this to 
> work? I've tried the exact command you used below and I still 
> get the problem.
> 
> TIA.
> 
> 
> Steven Caswell
> [email-masked]
> a.k.a Mungo Knotwise of Michel Delving
> "One ring to rule them all, one ring to find them..."
> 
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]] On Behalf Of Michael Lang
> > Sent: Monday, April 01, 2002 4:16 PM
> > To: Larry Hall (RFK Partners, Inc)
> > Cc: [email-masked]
> > Subject: RE: Strange Crond behavior
> > 
> > 
> > Hi Larry
> > 
> > Thanks for answering ... but i´ve already readed the dos and
> > tried using the install steps .. I now used cygrunsrv -I cron 
> > -d "Cron" -p /usr/sbin/cron -a "-D" -1 /var/log/cron.log -2 
> > /var/log/cron.log for service installation. It now works ... 
> > *strange* maybe the EventLog tells some more defusing 
> > informations than needed. 
> > 
> > Thanks for your answer anyway
> > 
> > Greetz mIke
> > 
> > Michael Lang				           
System Engineer
> > Jackal-net.at				    Tel: +43 
> 664 12 42 947
> > Austria, Europe			  	    Fax: +43   
> > 1 734 82 34
> > http://www.jackal-net.at            [email-masked]
> > 
> > -----Original Message-----
> > From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
> > Sent: Monday, April 01, 2002 4:39 PM
> > To: Michael Lang; [email-masked]
> > Subject: Re: Strange Crond behavior
> > 
> > At 05:47 AM 4/1/2002, Michael Lang wrote:
> > >Hello to all
> > >
> > >Sorry for bothering but I didn´t find an issue for these strange
> > >behavior of the Crond .
> > >
> > >Does someone knows why using cron as service doesn't start any
> > >scheduled tasks ? Event Error :
> > >
> > >Using /usr/sbin/cron -D
> > >  > seteuid: Not owner
> > 
> > <snip>
> > 
> > 
> > >0x9D0 : Cygwin Process Id = 0x9D0 : (CRON) error (can't switch user
> > >context).
> > 
> > 
> > The problem?  Looks like the same old one to me.  You're not
> > running cron as SYSTEM.  It seems many folks don't follow 
> > directions and don't check the email archives when they have 
> > a problem as a result.  Read the README and follow 
> > the instructions there.  If you still have problems, check 
> > the email archives for similar questions.  There should be 
> > plenty of information in these two 
> > avenues to solve this issue.  If not, you'll need to be more 
> > specific about 
> > why the standard configuration doesn't work for you.
> > 
> > 
> > Larry Hall                              [email-masked]
> > RFK Partners, Inc.                      http://www.rfk.com
> > 838 Washington Street                   (508) 893-9779 - RFK Office
> > Holliston, MA 01746                     (508) 893-9889 - FAX
> > 
> > 
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> > 
> 
> 
> 
> 
> _________________________________________________________
> 
> Do You Yahoo!?
> 
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> 
> 

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/